#!/bin/sh
GCC="OLD_GCC"
if [[ $(echo __GNUC__ | g++ -E -xc - | tail -n 1) -ge 03 ]]; then
  if [[ $(echo __GNUC_MINOR__ | g++ -E -xc - | tail -n 1) -ge 03 ]]; then
    GCC="NEW_GCC"
  fi
fi
printf "%s\\n" $GCC

